package com.zm.order.tool.server.query;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.model.BasePageQuery;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author 陈标
 * @Date 2020/3/12 16:29
 */
public class ListStatusFlowsQuery extends BasePageQuery {

    private Integer bizType;


    private Integer docType;


    private Integer beforeStatus;

    private String operation;


    private Integer afterStatus;

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public Integer getDocType() {
        return docType;
    }

    public void setDocType(Integer docType) {
        this.docType = docType;
    }

    public Integer getBeforeStatus() {
        return beforeStatus;
    }

    public void setBeforeStatus(Integer beforeStatus) {
        this.beforeStatus = beforeStatus;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public Integer getAfterStatus() {
        return afterStatus;
    }

    public void setAfterStatus(Integer afterStatus) {
        this.afterStatus = afterStatus;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
